Last Comment Bug 655439 - Use $(LIBXUL_DIST)/bin/xpcshell instead of $(DIST)/bin/xpcshell
: Use $(LIBXUL_DIST)/bin/xpcshell instead of $(DIST)/bin/xpcshell
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Takanori MATSUURA
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks: 716378
  Show dependency treegraph
 
Reported: 2011-05-06 21:16 PDT by Takanori MATSUURA
Modified: 2012-01-08 09:06 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use $(LIBXUL_DIST)/bin/xpcshell instead of $(DIST)/bin/xpcshell (6.75 KB, patch)
2011-05-06 21:16 PDT, Takanori MATSUURA
khuey: review+
Details | Diff | Splinter Review

Description Takanori MATSUURA 2011-05-06 21:16:06 PDT
Created attachment 530797 [details] [diff] [review]
Use $(LIBXUL_DIST)/bin/xpcshell instead of $(DIST)/bin/xpcshell

When firefox is built against system libxul (--with-libxul-sdk=`pkg-config --variable=sdkdir libxul`"), the build is failed.

We should set xpcshell as $(LIBXUL_DIST)/bin/xpcshell.
Comment 1 Mounir Lamouri (:mounir) 2011-05-12 03:39:44 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/813de070af38

Note You need to log in before you can comment on or make changes to this bug.